<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
            <h2 id="jhi-card-privilege-heading">Create or edit a Card Privilege</h2>

            <div>
                <jhi-alert-error></jhi-alert-error>

                <div class="form-group" [hidden]="!editForm.get('id')!.value">
                    <label for="id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" formControlName="id" readonly />
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_cardId">Card Id</label>
                    <input type="text" class="form-control" name="cardId" id="field_cardId"
                           formControlName="cardId"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_cardName">Card Name</label>
                    <input type="text" class="form-control" name="cardName" id="field_cardName"
                           formControlName="cardName"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_privilegeId">Privilege Id</label>
                    <input type="text" class="form-control" name="privilegeId" id="field_privilegeId"
                           formControlName="privilegeId"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_privilegeName">Privilege Name</label>
                    <input type="text" class="form-control" name="privilegeName" id="field_privilegeName"
                           formControlName="privilegeName"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_quota">Quota</label>
                    <input type="number" class="form-control" name="quota" id="field_quota"
                           formControlName="quota"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_validityPeriod">Validity Period</label>
                    <select class="form-control" name="validityPeriod" formControlName="validityPeriod" id="field_validityPeriod">
                        <option value="YEARLY">YEARLY</option>
                        <option value="LIFE_TIME">LIFE_TIME</option>
                    </select>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_active">Active</label>
                    <input type="checkbox" class="form-control" name="active" id="field_active"
                           formControlName="active"/>
                </div>
            </div>

            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary" (click)="previousState()">
                    <fa-icon icon="ban"></fa-icon>&nbsp;<span>Cancel</span>
                </button>

                <button type="submit" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-primary">
                    <fa-icon icon="save"></fa-icon>&nbsp;<span>Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
